export interface MainEntity {
    /** @format GUID */
    _id?: string;
    tags?: Tags;
}
export interface Tags {
    privateTags?: TagList;
    tags?: TagList;
}
export interface TagList {
    /**
     * @maxSize 100
     * @maxLength 5
     */
    tagIds?: string[];
}
export interface RunTriggerRequest {
    /**
     * Trigger ID. You can find this in the custom trigger configuration in the automations builder.
     * @maxLength 100
     */
    triggerId?: string;
    /**
     * Optional payload object to pass to run trigger. Define the payload schema from sample data in the custom trigger configuration in the
     * automations builder.
     */
    payload?: Record<string, any> | null;
}
export interface RunTriggerResponse {
}
export interface BulkUpdateMainEntityTagsRequest {
    /**
     * @maxSize 100
     * @maxLength 50
     */
    entityIds?: string[];
    assignTags?: Tags;
    unassignTags?: Tags;
}
export interface BulkUpdateMainEntityTagsResponse {
}
export interface BulkUpdateMainEntityTagsByFilterRequest {
    filter?: Record<string, any> | null;
    assignTags?: Tags;
    unassignTags?: Tags;
}
export interface BulkUpdateMainEntityTagsByFilterResponse {
}
/**
 * Runs the automation associated with the trigger ID that you pass to it.
 * @public
 * @permissionId AUTOMATIONS.TRIGGER_WEBHOOK
 * @permissionScope Manage Stores
 * @permissionScopeId SCOPE.STORES.MANAGE-STORES
 * @permissionScope Access Verticals by Automations
 * @permissionScopeId SCOPE.CRM.ACCESS-VERTICALS-BY-AUTOMATIONS
 * @permissionScope Set Up Automations
 * @permissionScopeId SCOPE.CRM.SETUP-AUTOMATIONS
 * @applicableIdentity APP
 * @fqn com.wixpress.crm.automations.automations_custom_trigger.AutomationsCustomTriggerService.RunTrigger
 */
export declare function runTrigger(options?: RunTriggerOptions): Promise<void>;
export interface RunTriggerOptions {
    /**
     * Trigger ID. You can find this in the custom trigger configuration in the automations builder.
     * @maxLength 100
     */
    triggerId?: string;
    /**
     * Optional payload object to pass to run trigger. Define the payload schema from sample data in the custom trigger configuration in the
     * automations builder.
     */
    payload?: Record<string, any> | null;
}
